package org.springblade.business.vo;

import lombok.Data;
import org.springblade.business.utils.MileageUtill;
import org.springblade.business.utils.NumberUtil;

/**
 * @author yangyj
 * @Date 2022/6/2 14:04
 * @description TODO
 */
@Data
public class MileageVo {
    private Double value=0.0;
    private Double x=0.0;
    private Double y=0.0;
    private Double b=0.0;//偏移
    private Double jj=90.0;//夹角
    public String getValueStr() {
        return MileageUtill.convertToMileage(value);
    }
    public String getXxStr() {
        return NumberUtil.forcibleFormat(x,3);
    }
    public String getYyStr() {
        return NumberUtil.forcibleFormat(y,3);
    }
}
